| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
MarkupAnnotComponent Class Reference
PDFViewCtrl » annotCompontents

markup annot component More...

Inheritance diagram for MarkupAnnotComponent:

## Public Member Functions
| hideReplyDialog ()
Public Member Functions inherited from AnnotComponent
| getModel ()
| Obtains the PDF Annot instance. More...
Public Member Functions inherited from Activatable
| active ()
| Sets isActive to `true` and calls doActive method. More...
| unActive ()
| Sets isActive to `false` and calls doDeactive method. More...

## Static Public Member Functions
static | getDefaultContextMenuConfig ()
| get default content-menu config More...

## Protected Member Functions
| getContextMenuConfig ()
| Gets the contextmenu configuration item. More...
| hidePopup ()
| hide popup
| hidePropertiesDialog ()
| Hide the properties dialog.
| onDoubleTap (e)
| When you double click on the annotation, it fires. More...
| showContextMenu (x, y)
| Display the contextmenu.
| showPopup ()
| show popup
| showPropertiesDialog ()
| Displays the properties dialog.
protected void | showReplyDialog ()
| Display the reply dialog.
Protected Member Functions inherited from AnnotComponent
| doActive ()
| Subclasses of Activatable should override this method to implement activation operation.
| doDeactive ()
| Subclasses of Activatable should override this method to implement deactivation operation.
| tapAnnot ()
| The method that is triggered when user click on the annot.

## Additional Inherited Members
Public Attributes inherited from AnnotComponent
HTMLElement | element
| A DOM element used to render the annotation.
Public Attributes inherited from Activatable
boolean | isActive
| Whether this activatable objec has been activated or not!

## Detailed Description

markup annot component

## Member Function Documentation

## ◆ getContextMenuConfig()

MarkupAnnotComponent::getContextMenuConfig | ( |  | ) |
| inline protected

Gets the contextmenu configuration item.

See also
  IViewerUI.createContextMenu

## ◆ getDefaultContextMenuConfig()

static MarkupAnnotComponent::getDefaultContextMenuConfig | ( |  | ) |
| inline static

get default content-menu config

See also
  IViewerUI.createContextMenu

Returns
  Record<string, any> - jquery-contextmenu config

## ◆ hideReplyDialog()

MarkupAnnotComponent::hideReplyDialog | ( |  | ) |
| inline

Hide the reply dialog.

## ◆ onDoubleTap()

MarkupAnnotComponent::onDoubleTap | ( |  | e | ) |
| inline protected

When you double click on the annotation, it fires.

Parameters

  e | Object - event object of hammer.js

Returns
  boolean - Returning false does not perform the default binding behavior

@2025 Foxit Software Incorporated. All rights reserved.